package org.algorithm.test;

import org.algorithm.core.neural.dataset.NNDataSetImpl;

import java.util.HashMap;
import java.util.Map;

/**
 * 测试再分词
 * @Author: bijl
 * @Date: 2019/9/23 10:46
 * @Description:
 */
public class TestReSplit {

    public static void main(String[] args) {

        NNDataSetImpl dataSet = new NNDataSetImpl("diagnosisPredict.version");

        // 构造输入
        Map<String, Map<String, String>> inputs = new HashMap<>();

        Map<String, String> featureMap = new HashMap<>();
        featureMap.put("negative", "有");
        featureMap.put("property", "11");

        inputs.put("幽门螺杆菌感染", featureMap);

        // 对比再分词前后的变化
        System.out.println("原来数据：" + inputs);
        dataSet.reSplitWord(inputs);
        System.out.println("再分词后数据：" + inputs);
    }
}
